# ![ZUI](https://raw.githubusercontent.com/easysoft/zui/master/docs/img/zui-logo-48.png)

[![npm version](https://badge.fury.io/js/zui.svg)](https://badge.fury.io/js/zui)
[![Bower version](https://badge.fury.io/bo/zui.svg)](https://badge.fury.io/bo/zui)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/easysoft/zui/blob/master/LICENSE)

Language：[中文](https://github.com/easysoft/zui/blob/master/README.md) ｜ [English](https://github.com/easysoft/zui/blob/master/en/README.md)

An open source front-end customized solution based on Bootstrap and helps you quickly build modern multi-screen applications.

Learn more from the official website  https://openzui.com/en/

💎 &nbsp;Designed for mobile and based on Flex UI framework: [MZUI](https://openzui.com/m/)。

Official QQ group：**Group 2: 127535859**, Group 1: 384135104(Full)
Projects and plans: http://zui.5upm.com/product-browse-2.html

## Characteristics

- Easy to use and quickly build beautiful modern Web application；
- Lightweight high performance, and only contains key features; High scalability to create your app faster;
- Cross-platform and multi-screen response; Maximize modern browser features and also support IE 8 and down;
- Complete solution with built-in third-party components to optimize features and fits for Web application development;
- Easy to be customized and multiple versions available. The major version contains most of the features, and extra content can be loaded on demand.

## Quick Start

Detailed instructions can be found here https://openzui.com/en/#basic/download.

### NPM

```
npm install zui
```

### Bower

```
bower install zui
```

### CDN

<a href="https://cdnjs.com/libraries/zui" target="_blank">cdnjs</a> is used to provide:

```html
<!-- ZUI Standard version compressed CSS files -->
<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/zui/1.9.2/css/zui.min.css">

<!-- ZUI Javascript depends on jQuery -->
<script src="//cdnjs.cloudflare.com/ajax/libs/zui/1.9.2/lib/jquery/jquery.js"></script>
<!-- ZUI Standard version compressed JavaScript file -->
<script src="//cdnjs.cloudflare.com/ajax/libs/zui/1.9.2/js/zui.min.js"></script>
```

Other CDN:

 - China <a href="http://www.bootcdn.cn/" target="_blank">BootCDN</a>

### Download

 - [v 1.9.2 Production package](https://github.com/easysoft/zui/releases/download/v1.9.2/zui-1.9.2-dist.zip)
 - [v 1.9.2 Source code](https://github.com/easysoft/zui/archive/v1.9.2.zip)

### Document

Please visit the official website directly https://openzui.com/en/ for the documentation.

Please visit https://easysoft.github.io/zui/ for documentation in development.

You can also deploy the documentation website yourself. After downloading the source code, use `http:` or `https:` to the root directory of the source code `index.html`.

If you installed [Node.js](https://nodejs.org/), you can easily start the website by following the steps below:

1. Go to ZUI source code directory;
2. Execute `npm install`;
3. Execute `npm start`;
4. Visit `http://127.0.0.1:8088`.

## Project developed in ZUI

- [ZenTao ALM](https://www.zentao.pm)
- [ZSITE CMS](https://www.zsite.net)
- [ZDOO](https://www.zdoo.org)
- [Xuanxuan](https://xuanim.com)
